Rapid7 Vulnerability & Exploit Database

Ubuntu: USN-4575-1 (CVE-2020-10683): dom4j vulnerability

Back to Search

Ubuntu: USN-4575-1 (CVE-2020-10683): dom4j vulnerability

Severity
8
CVSS
(AV:N/AC:L/Au:N/C:P/I:P/A:P)
Published
05/01/2020
Created
10/16/2020
Added
10/14/2020
Modified
10/14/2020

Description

dom4j before 2.0.3 and 2.1.x before 2.1.3 allows external DTDs and External Entities by default, which might enable XXE attacks. However, there is popular external documentation from OWASP showing how to enable the safe, non-default behavior in any application that uses dom4j.

Solution(s)

  • ubuntu-upgrade-libdom4j-java

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;